MKUDFFS(8)

NAME
mkudffs - create an UDF filesystem

SYNOPSIS
mkudffs [ switches ] device [ blocks-count ]

DESCRIPTION
mkudffs is used to create a UDF filesystem on a device (usually a disk). device is the special file corresponding to the device (e.g /dev/hdX). blocks-count is the number of blocks on the device. If omitted, mkudffs automagically figures the file system size.

OPTIONS

--help
    Display the usage and list of options.

-b,--blocksize= block-size
    Specify the size of blocks in bytes. Valid block size vales are 1024, 2048 and 4096 bytes per block. If omitted, mkudffs block-size is 2048.

-r,--udfrev= udf-revision
    Specify the udf revision to use. Valid revisions are 0x0201, 0x0200, 0x0150, and 0x0102. If omitted, mkudffs udf-revision is 0x0201.

--lvid= logical-volume-ident
    Specify the logical volume identifier.

--vid= volume-ident
    Specify the volume identifier.

--vsid= volume-set-ident
    Specify the volume set identifier.

--fsid= file-set-ident
    Specify the file set identifier.

--strategy= strategy
    Specify the allocation strategy to use. Valid strategies are 4 and 4096. If omitted, mkudffs strategy is based on the media-type.

--spartable= spartable-number
    Specify the number of sparing tables to write to disc. Valid numbers are 1 - 4. This option implies --media-type=cdrw.

--media-type= media-type
    Specify the media type. Valid media types are:

    hd  hard drive

    dvd DVD (Digital Versital Disc)

    dvdram
        DVD-RAM (Digital Versital Disc-Random Access Memory)

    worm
        WORM (Write Once Ready Many)

    mo  MO (Magneto Optical)

    cdrw
        CD-RW (CD Read-Write)

--space= space

    freedbitmap
        Freed bitmap

    freedtable
        Freed table

    unallocbitmap
        Unallocated bitmap

    unalloctable
        Unallocated table

--ad= ad

    inicb
        Allocation Descriptors in ICB

    short
        Short Allocation Descriptors

    long
        Long Allocation Descriptors

--noefe
    Don't Use Extended File Entries

--u8
    Use 8-bit unicode for file names

--u16
    Use 16-bit unicode for file names

--utf8
    Use UTF-8 for file names

EXIT STATUS
mkudffs returns 0 if successful, non-zero if there are problems.

AUTHOR
Ben Fennema <bfennema@falcon.csc.calpoly.edu>

AVAILABILITY
mkudffs is part of the udftools package and is available from http://linux-udf.sourceforge.net.